com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into<A,B,C>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into<A,B,C>

- Type Parameters:
    `A` - the first argument type
    `B` - the second argument type
    `C` - the result type
  All Implemented Interfaces:
    Fn1<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>>, Fn2<Fn2<? super A,? super B,? extends C>,Map.Entry<A,B>,C>, Applicative<Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>, Cartesian<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>,Fn1<?,?>>, Cocartesian<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>,Fn1<?,?>>, Contravariant<Fn2<? super A,? super B,? extends C>,Profunctor<?,Fn1<Map.Entry<A,B>,C>,Fn1<?,?>>>, Functor<Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>, Profunctor<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>,Fn1<?,?>>, Monad<Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>, MonadReader<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>, MonadRec<Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>, MonadWriter<Fn2<? super A,? super B,? extends C>,Fn1<Map.Entry<A,B>,C>,Fn1<Fn2<? super A,? super B,? extends C>,?>>

      public final class Into<A,B,C>
      extends Object
      implements Fn2<Fn2<? super A,? super B,? extends C>,Map.Entry<A,B>,C>

  Given an ``Fn2`<A, B, C>` and a ``Map.Entry`<A, B>`, destructure the entry and apply the key and value as arguments to the function, returning the result.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `checkedApply(Fn2<? super A,? super B,? extends C> fn, Map.Entry<A,B> entry)`
    `static <A,B,C> Into<A,B,C>` | `into()`
    `static <A,B,C> Fn1<Map.Entry<A,B>,C>` | `into(Fn2<? super A,? super B,? extends C> fn)`
    `static <A,B,C> C` | `into(Fn2<? super A,? super B,? extends C> fn, Map.Entry<A,B> entry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public C checkedApply(Fn2<? super A,? super B,? extends C> fn,
                                Map.Entry<A,B> entry)

      Specified by:
        `checkedApply` in interface `Fn2<Fn2<? super A,? super B,? extends C>,Map.Entry<A,B>,C>`

    - #### into

          public static <A,B,C> Into<A,B,C> into()

    - #### into

          public static <A,B,C> Fn1<Map.Entry<A,B>,C> into(Fn2<? super A,? super B,? extends C> fn)

    - #### into

          public static <A,B,C> C into(Fn2<? super A,? super B,? extends C> fn,
                                       Map.Entry<A,B> entry)